#ifndef __edl__internal__str_h
#define __edl__internal__str_h

#include <stddef.h>

typedef struct {
    size_t size;
    size_t capacity;
    char* data;
} EDL_internal_string;

int EDL_internal_string_init(EDL_internal_string* str);
int EDL_internal_string_allocate(EDL_internal_string* str, size_t new_capacity);
int EDL_internal_string_append(EDL_internal_string* str, const char* data, const size_t length);
void EDL_internal_string_free(EDL_internal_string* str);

#endif /* __edl__internal__str_h */
